
package com.ejie.ad74a.ws.client.dokusi.gestDocumental;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.ejie.ad74a.ws.client.dokusi.gestDocumental package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Exception_QNAME = new QName("http://com.ejie.t65b", "Exception");
    private final static QName _AddSuperLocatorToDocument_QNAME = new QName("http://com.ejie.t65b", "addSuperLocatorToDocument");
    private final static QName _AddSuperLocatorToDocumentResponse_QNAME = new QName("http://com.ejie.t65b", "addSuperLocatorToDocumentResponse");
    private final static QName _CopyDocument_QNAME = new QName("http://com.ejie.t65b", "copyDocument");
    private final static QName _CopyDocumentResponse_QNAME = new QName("http://com.ejie.t65b", "copyDocumentResponse");
    private final static QName _CreateAndReplaceTransformation_QNAME = new QName("http://com.ejie.t65b", "createAndReplaceTransformation");
    private final static QName _CreateAndReplaceTransformationResponse_QNAME = new QName("http://com.ejie.t65b", "createAndReplaceTransformationResponse");
    private final static QName _GenerateENIDocument_QNAME = new QName("http://com.ejie.t65b", "generateENIDocument");
    private final static QName _GenerateENIDocumentResponse_QNAME = new QName("http://com.ejie.t65b", "generateENIDocumentResponse");
    private final static QName _RetrieveDocumentOrSuperLocator_QNAME = new QName("http://com.ejie.t65b", "retrieveDocumentOrSuperLocator");
    private final static QName _RetrieveDocumentOrSuperLocatorResponse_QNAME = new QName("http://com.ejie.t65b", "retrieveDocumentOrSuperLocatorResponse");
    private final static QName _RetrieveIdSuperLocatorFromIdDocument_QNAME = new QName("http://com.ejie.t65b", "retrieveIdSuperLocatorFromIdDocument");
    private final static QName _RetrieveIdSuperLocatorFromIdDocumentResponse_QNAME = new QName("http://com.ejie.t65b", "retrieveIdSuperLocatorFromIdDocumentResponse");
    private final static QName _SearchFulltext_QNAME = new QName("http://com.ejie.t65b", "searchFulltext");
    private final static QName _SearchFulltextResponse_QNAME = new QName("http://com.ejie.t65b", "searchFulltextResponse");
    private final static QName _ShareAndAddSuperLocator_QNAME = new QName("http://com.ejie.t65b", "shareAndAddSuperLocator");
    private final static QName _ShareAndAddSuperLocatorResponse_QNAME = new QName("http://com.ejie.t65b", "shareAndAddSuperLocatorResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.ejie.ad74a.ws.client.dokusi.gestDocumental
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Exception }
     * 
     */
    public Exception createException() {
        return new Exception();
    }

    /**
     * Create an instance of {@link AddSuperLocatorToDocument }
     * 
     */
    public AddSuperLocatorToDocument createAddSuperLocatorToDocument() {
        return new AddSuperLocatorToDocument();
    }

    /**
     * Create an instance of {@link AddSuperLocatorToDocumentResponse }
     * 
     */
    public AddSuperLocatorToDocumentResponse createAddSuperLocatorToDocumentResponse() {
        return new AddSuperLocatorToDocumentResponse();
    }

    /**
     * Create an instance of {@link CopyDocument }
     * 
     */
    public CopyDocument createCopyDocument() {
        return new CopyDocument();
    }

    /**
     * Create an instance of {@link CopyDocumentResponse }
     * 
     */
    public CopyDocumentResponse createCopyDocumentResponse() {
        return new CopyDocumentResponse();
    }

    /**
     * Create an instance of {@link CreateAndReplaceTransformation }
     * 
     */
    public CreateAndReplaceTransformation createCreateAndReplaceTransformation() {
        return new CreateAndReplaceTransformation();
    }

    /**
     * Create an instance of {@link CreateAndReplaceTransformationResponse }
     * 
     */
    public CreateAndReplaceTransformationResponse createCreateAndReplaceTransformationResponse() {
        return new CreateAndReplaceTransformationResponse();
    }

    /**
     * Create an instance of {@link GenerateENIDocument }
     * 
     */
    public GenerateENIDocument createGenerateENIDocument() {
        return new GenerateENIDocument();
    }

    /**
     * Create an instance of {@link GenerateENIDocumentResponse }
     * 
     */
    public GenerateENIDocumentResponse createGenerateENIDocumentResponse() {
        return new GenerateENIDocumentResponse();
    }

    /**
     * Create an instance of {@link RetrieveDocumentOrSuperLocator }
     * 
     */
    public RetrieveDocumentOrSuperLocator createRetrieveDocumentOrSuperLocator() {
        return new RetrieveDocumentOrSuperLocator();
    }

    /**
     * Create an instance of {@link RetrieveDocumentOrSuperLocatorResponse }
     * 
     */
    public RetrieveDocumentOrSuperLocatorResponse createRetrieveDocumentOrSuperLocatorResponse() {
        return new RetrieveDocumentOrSuperLocatorResponse();
    }

    /**
     * Create an instance of {@link RetrieveIdSuperLocatorFromIdDocument }
     * 
     */
    public RetrieveIdSuperLocatorFromIdDocument createRetrieveIdSuperLocatorFromIdDocument() {
        return new RetrieveIdSuperLocatorFromIdDocument();
    }

    /**
     * Create an instance of {@link RetrieveIdSuperLocatorFromIdDocumentResponse }
     * 
     */
    public RetrieveIdSuperLocatorFromIdDocumentResponse createRetrieveIdSuperLocatorFromIdDocumentResponse() {
        return new RetrieveIdSuperLocatorFromIdDocumentResponse();
    }

    /**
     * Create an instance of {@link SearchFulltext }
     * 
     */
    public SearchFulltext createSearchFulltext() {
        return new SearchFulltext();
    }

    /**
     * Create an instance of {@link SearchFulltextResponse }
     * 
     */
    public SearchFulltextResponse createSearchFulltextResponse() {
        return new SearchFulltextResponse();
    }

    /**
     * Create an instance of {@link ShareAndAddSuperLocator }
     * 
     */
    public ShareAndAddSuperLocator createShareAndAddSuperLocator() {
        return new ShareAndAddSuperLocator();
    }

    /**
     * Create an instance of {@link ShareAndAddSuperLocatorResponse }
     * 
     */
    public ShareAndAddSuperLocatorResponse createShareAndAddSuperLocatorResponse() {
        return new ShareAndAddSuperLocatorResponse();
    }

    /**
     * Create an instance of {@link T65AuditUser }
     * 
     */
    public T65AuditUser createT65AuditUser() {
        return new T65AuditUser();
    }

    /**
     * Create an instance of {@link T65DocumentId }
     * 
     */
    public T65DocumentId createT65DocumentId() {
        return new T65DocumentId();
    }

    /**
     * Create an instance of {@link T65Content }
     * 
     */
    public T65Content createT65Content() {
        return new T65Content();
    }

    /**
     * Create an instance of {@link T65Format }
     * 
     */
    public T65Format createT65Format() {
        return new T65Format();
    }

    /**
     * Create an instance of {@link T65EniDocument }
     * 
     */
    public T65EniDocument createT65EniDocument() {
        return new T65EniDocument();
    }

    /**
     * Create an instance of {@link T65Signature }
     * 
     */
    public T65Signature createT65Signature() {
        return new T65Signature();
    }

    /**
     * Create an instance of {@link T65SignatureInfo }
     * 
     */
    public T65SignatureInfo createT65SignatureInfo() {
        return new T65SignatureInfo();
    }

    /**
     * Create an instance of {@link T65AttributeBind }
     * 
     */
    public T65AttributeBind createT65AttributeBind() {
        return new T65AttributeBind();
    }

    /**
     * Create an instance of {@link T65ShareAndAddSuperLocatorBind }
     * 
     */
    public T65ShareAndAddSuperLocatorBind createT65ShareAndAddSuperLocatorBind() {
        return new T65ShareAndAddSuperLocatorBind();
    }

    /**
     * Create an instance of {@link T65FTQuery }
     * 
     */
    public T65FTQuery createT65FTQuery() {
        return new T65FTQuery();
    }

    /**
     * Create an instance of {@link T65FTSimpleAttrCondition }
     * 
     */
    public T65FTSimpleAttrCondition createT65FTSimpleAttrCondition() {
        return new T65FTSimpleAttrCondition();
    }

    /**
     * Create an instance of {@link T65FTValuelistAttrCondition }
     * 
     */
    public T65FTValuelistAttrCondition createT65FTValuelistAttrCondition() {
        return new T65FTValuelistAttrCondition();
    }

    /**
     * Create an instance of {@link T65FTRangeAttrCondition }
     * 
     */
    public T65FTRangeAttrCondition createT65FTRangeAttrCondition() {
        return new T65FTRangeAttrCondition();
    }

    /**
     * Create an instance of {@link T65FTConditionSet }
     * 
     */
    public T65FTConditionSet createT65FTConditionSet() {
        return new T65FTConditionSet();
    }

    /**
     * Create an instance of {@link T65FTContentCondition }
     * 
     */
    public T65FTContentCondition createT65FTContentCondition() {
        return new T65FTContentCondition();
    }

    /**
     * Create an instance of {@link T65FTFacetDefinition }
     * 
     */
    public T65FTFacetDefinition createT65FTFacetDefinition() {
        return new T65FTFacetDefinition();
    }

    /**
     * Create an instance of {@link T65FTOrderByClause }
     * 
     */
    public T65FTOrderByClause createT65FTOrderByClause() {
        return new T65FTOrderByClause();
    }

    /**
     * Create an instance of {@link T65FTResultSet }
     * 
     */
    public T65FTResultSet createT65FTResultSet() {
        return new T65FTResultSet();
    }

    /**
     * Create an instance of {@link T65FTRow }
     * 
     */
    public T65FTRow createT65FTRow() {
        return new T65FTRow();
    }

    /**
     * Create an instance of {@link T65Attribute }
     * 
     */
    public T65Attribute createT65Attribute() {
        return new T65Attribute();
    }

    /**
     * Create an instance of {@link T65FTFacet }
     * 
     */
    public T65FTFacet createT65FTFacet() {
        return new T65FTFacet();
    }

    /**
     * Create an instance of {@link T65FTFacetValue }
     * 
     */
    public T65FTFacetValue createT65FTFacetValue() {
        return new T65FTFacetValue();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Exception }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "Exception")
    public JAXBElement<Exception> createException(Exception value) {
        return new JAXBElement<Exception>(_Exception_QNAME, Exception.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddSuperLocatorToDocument }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AddSuperLocatorToDocument }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "addSuperLocatorToDocument")
    public JAXBElement<AddSuperLocatorToDocument> createAddSuperLocatorToDocument(AddSuperLocatorToDocument value) {
        return new JAXBElement<AddSuperLocatorToDocument>(_AddSuperLocatorToDocument_QNAME, AddSuperLocatorToDocument.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link AddSuperLocatorToDocumentResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link AddSuperLocatorToDocumentResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "addSuperLocatorToDocumentResponse")
    public JAXBElement<AddSuperLocatorToDocumentResponse> createAddSuperLocatorToDocumentResponse(AddSuperLocatorToDocumentResponse value) {
        return new JAXBElement<AddSuperLocatorToDocumentResponse>(_AddSuperLocatorToDocumentResponse_QNAME, AddSuperLocatorToDocumentResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CopyDocument }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CopyDocument }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "copyDocument")
    public JAXBElement<CopyDocument> createCopyDocument(CopyDocument value) {
        return new JAXBElement<CopyDocument>(_CopyDocument_QNAME, CopyDocument.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CopyDocumentResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CopyDocumentResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "copyDocumentResponse")
    public JAXBElement<CopyDocumentResponse> createCopyDocumentResponse(CopyDocumentResponse value) {
        return new JAXBElement<CopyDocumentResponse>(_CopyDocumentResponse_QNAME, CopyDocumentResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateAndReplaceTransformation }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CreateAndReplaceTransformation }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "createAndReplaceTransformation")
    public JAXBElement<CreateAndReplaceTransformation> createCreateAndReplaceTransformation(CreateAndReplaceTransformation value) {
        return new JAXBElement<CreateAndReplaceTransformation>(_CreateAndReplaceTransformation_QNAME, CreateAndReplaceTransformation.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CreateAndReplaceTransformationResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link CreateAndReplaceTransformationResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "createAndReplaceTransformationResponse")
    public JAXBElement<CreateAndReplaceTransformationResponse> createCreateAndReplaceTransformationResponse(CreateAndReplaceTransformationResponse value) {
        return new JAXBElement<CreateAndReplaceTransformationResponse>(_CreateAndReplaceTransformationResponse_QNAME, CreateAndReplaceTransformationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateENIDocument }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GenerateENIDocument }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "generateENIDocument")
    public JAXBElement<GenerateENIDocument> createGenerateENIDocument(GenerateENIDocument value) {
        return new JAXBElement<GenerateENIDocument>(_GenerateENIDocument_QNAME, GenerateENIDocument.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateENIDocumentResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link GenerateENIDocumentResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "generateENIDocumentResponse")
    public JAXBElement<GenerateENIDocumentResponse> createGenerateENIDocumentResponse(GenerateENIDocumentResponse value) {
        return new JAXBElement<GenerateENIDocumentResponse>(_GenerateENIDocumentResponse_QNAME, GenerateENIDocumentResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RetrieveDocumentOrSuperLocator }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RetrieveDocumentOrSuperLocator }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "retrieveDocumentOrSuperLocator")
    public JAXBElement<RetrieveDocumentOrSuperLocator> createRetrieveDocumentOrSuperLocator(RetrieveDocumentOrSuperLocator value) {
        return new JAXBElement<RetrieveDocumentOrSuperLocator>(_RetrieveDocumentOrSuperLocator_QNAME, RetrieveDocumentOrSuperLocator.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RetrieveDocumentOrSuperLocatorResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RetrieveDocumentOrSuperLocatorResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "retrieveDocumentOrSuperLocatorResponse")
    public JAXBElement<RetrieveDocumentOrSuperLocatorResponse> createRetrieveDocumentOrSuperLocatorResponse(RetrieveDocumentOrSuperLocatorResponse value) {
        return new JAXBElement<RetrieveDocumentOrSuperLocatorResponse>(_RetrieveDocumentOrSuperLocatorResponse_QNAME, RetrieveDocumentOrSuperLocatorResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RetrieveIdSuperLocatorFromIdDocument }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RetrieveIdSuperLocatorFromIdDocument }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "retrieveIdSuperLocatorFromIdDocument")
    public JAXBElement<RetrieveIdSuperLocatorFromIdDocument> createRetrieveIdSuperLocatorFromIdDocument(RetrieveIdSuperLocatorFromIdDocument value) {
        return new JAXBElement<RetrieveIdSuperLocatorFromIdDocument>(_RetrieveIdSuperLocatorFromIdDocument_QNAME, RetrieveIdSuperLocatorFromIdDocument.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RetrieveIdSuperLocatorFromIdDocumentResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RetrieveIdSuperLocatorFromIdDocumentResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "retrieveIdSuperLocatorFromIdDocumentResponse")
    public JAXBElement<RetrieveIdSuperLocatorFromIdDocumentResponse> createRetrieveIdSuperLocatorFromIdDocumentResponse(RetrieveIdSuperLocatorFromIdDocumentResponse value) {
        return new JAXBElement<RetrieveIdSuperLocatorFromIdDocumentResponse>(_RetrieveIdSuperLocatorFromIdDocumentResponse_QNAME, RetrieveIdSuperLocatorFromIdDocumentResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchFulltext }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SearchFulltext }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "searchFulltext")
    public JAXBElement<SearchFulltext> createSearchFulltext(SearchFulltext value) {
        return new JAXBElement<SearchFulltext>(_SearchFulltext_QNAME, SearchFulltext.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SearchFulltextResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link SearchFulltextResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "searchFulltextResponse")
    public JAXBElement<SearchFulltextResponse> createSearchFulltextResponse(SearchFulltextResponse value) {
        return new JAXBElement<SearchFulltextResponse>(_SearchFulltextResponse_QNAME, SearchFulltextResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ShareAndAddSuperLocator }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ShareAndAddSuperLocator }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "shareAndAddSuperLocator")
    public JAXBElement<ShareAndAddSuperLocator> createShareAndAddSuperLocator(ShareAndAddSuperLocator value) {
        return new JAXBElement<ShareAndAddSuperLocator>(_ShareAndAddSuperLocator_QNAME, ShareAndAddSuperLocator.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ShareAndAddSuperLocatorResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ShareAndAddSuperLocatorResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://com.ejie.t65b", name = "shareAndAddSuperLocatorResponse")
    public JAXBElement<ShareAndAddSuperLocatorResponse> createShareAndAddSuperLocatorResponse(ShareAndAddSuperLocatorResponse value) {
        return new JAXBElement<ShareAndAddSuperLocatorResponse>(_ShareAndAddSuperLocatorResponse_QNAME, ShareAndAddSuperLocatorResponse.class, null, value);
    }

}
